> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supersonic.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# objects.add_field



## OpenAPI

````yaml POST /objects/add_field
openapi: 3.1.0
info:
  title: Supersonic CRM API
  description: 62 tools for managing your CRM data. Call via CLI, REST, or MCP.
  version: 1.0.0
servers:
  - url: https://api.supersonic.cv
    description: Production
security:
  - bearerAuth: []
paths:
  /objects/add_field:
    post:
      tags:
        - objects
      summary: Add a field definition to an object type
      operationId: objects.add_field
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                object_type_slug:
                  type: string
                  description: ObjectType slug
                name:
                  type: string
                  description: Field display name (e.g. 'Check Size')
                field_type:
                  type: string
                  enum:
                    - text
                    - number
                    - decimal
                    - currency
                    - date
                    - datetime
                    - boolean
                    - email
                    - url
                    - phone
                    - select
                    - multi_select
                    - relation
                  description: Field data type
                slug:
                  type: string
                  description: Field slug (auto-generated if omitted)
                config:
                  type: object
                  description: >-
                    Field config (e.g. {options: [{value, label, color}]} for
                    select; {target_object_type: '<slug>'} for relation)
                required:
                  type: boolean
                  description: Whether field is required
                order:
                  type: integer
                  description: Display order
              required:
                - object_type_slug
                - name
                - field_type
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Validation error
        '403':
          description: Permission denied
        '429':
          description: Rate limit exceeded
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key: supersonic_live_...'

````